# Generated by Django 4.2.7 on 2023-12-09 02:13
import quopri

from django.db import migrations

from mail.protocol import unescape_and_decode_quoted_printable, unescape_and_decode_base64


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('mail', '0001_initial'),
    ]

    def convert_printed_quotable(apps, schema_editor):
        Email = apps.get_model('mail', 'Email')
        for mail in Email.objects.all():
            mail.body = unescape_and_decode_quoted_printable(mail.body)
            mail.body = unescape_and_decode_base64(mail.body)
            mail.subject = unescape_and_decode_quoted_printable(mail.subject)
            mail.subject = unescape_and_decode_base64(mail.subject)
            mail.save()
        IssueThread = apps.get_model('tickets', 'IssueThread')
        for issue in IssueThread.objects.all():
            issue.name = unescape_and_decode_quoted_printable(issue.name)
            issue.name = unescape_and_decode_base64(issue.name)
            issue.save()

    operations = [
        migrations.RunPython(convert_printed_quotable),
    ]
